import { useState } from 'react'
import '../css/global.css'
import BlackButton from './components/customButton'
import Animation from './components/animation.jsx';
import PlayVideo from './components/playVideo.jsx';
import LoadingScene from './components/loadingScene.jsx';

function IntroductionPageData(){
    return(
  	  <div style={{
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        height: '100vh',
        maxWidth:"100vw",
        flexDirection: 'column',
      }}>
        {/* <PlayVideo src='hallway_FFF.mp4'/> */}
        
        <div style={{
            position: "fixed",
            top: 0,
            left: 0,
            width: "100vw",
            height: "100vh",
            background: "rgba(var(--black), 0.5)",
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
            zIndex: 1 // Ensure this is above other elements
        }}>
            <label style={{color:"rgb(var(--white))", fontWeight:"bold"}}>
                You are a new student who just <br />
                transfered to this school not long ago. <br />
                You don't know anyone yet, <br />
                but eventually you  meet...
            </label>
        </div>
  	  </div>
  )
}

function IntroductionPage() {
    const [loading, setLoading] = useState(true);

    const handleVideoReady = () => {
        setLoading(false); // Set loading to false when the video is ready
    };

    return (
        <div>
            {loading ? (
                <LoadingScene />
            ) : (
                <IntroductionPageData />
            )}
            <PlayVideo onVideoReady={handleVideoReady} />
        </div>
    );
}



export default IntroductionPage
